/**
 *  Class ConferenceDialog.java
 *  @author: Anders Sandstrom
 *  UCCS 1997
 */
import java.awt.*;
import java.lang.*;
import java.io.*;
import java.net.*;
import java.util.*;


class ConferenceDialog extends Dialog{
  List list;
  String buttons[]={"Connect To","New","Details...","Cancel"};
  int tabPosition=1;
  Panel panel=new Panel();

  public ConferenceDialog(Frame parent,boolean modal){
    super(parent,"Conferences",modal);
    setup();
    init();
  }

  void setup(){
    setLayout(new BorderLayout());
    //panel=new Panel();
    panel.setLayout(new GridLayout(3,1));

    setupLabel();
    setupList();
    setupButtons();
    add("Center",panel);
    //setBackground(Color.white);
    //setForeground(Color.white);
    pack();
    resize(minimumSize());
    setResizable(false);
  }

  void setupLabel(){
    Panel labelPanel= new Panel();
    labelPanel.setLayout(new FlowLayout(FlowLayout.LEFT));
    labelPanel.add("South",new Label("Conference       Owner       Idle time",FlowLayout.LEFT));
    panel.add("North",labelPanel);

  }



  void setupList(){
    setBackground(Color.white);
    panel.add("Center",(list=new List(5,false))/*new Button("Center")*/);
    setBackground(Color.lightGray);
    for(int i=0;i<10;++i) list.addItem("Anders        Owner       15.2"+i);
  }

  void setupButtons(){
    Panel buttonPanel= new Panel();
    //buttonPanel.setLayout(new GridLayout(2,1));
   //Panel dum= new Panel();
    //buttonPanel.add(dum);
    for(int i=0;i<buttons.length;++i) buttonPanel.add(new Button(buttons[i]));
    panel.add("South",buttonPanel);
  }

  void init(){
  }
}// End of ConferenceDialog class.