// ResultProcessor.java

/**
 *  Interface ResultProcessor:
 *  @author Anders Sandstrom    1997
 */

 import java.awt.*;

 interface ResultProcessor{
    public void processResult(Dialog source, Object obj);
    public void sendPenData(int x1, int y1, int x2, int y2, int objectType, int objectId,int objectColor, int fill);
    public void sendTextData(int x,int y,int w,int h,int size,int style,String name,int objectType,int objectId,int charId,int key,int objectColor);
    public void sendCtrlCharData(int id, int charId, int key);
    public void sendChatData(String msg);
    //public void sendDeleteData(int id);
    //public void decrementObjectId();
    public boolean isConnected();
    public int getObjectId();
 }
