// list_dialog.java

import java.awt.*;
import java.lang.*;
import java.io.*;
import java.net.*;
import java.util.*;



class list_dialog extends Dialog
{
    show_list s_list;
    static Zodega javaDraw;
    TextField revoketxt;
    TextField tmtxt;

    public void getJavaDraw(Zodega jDraw)
    {
        javaDraw = jDraw;
    }

    public show_list get_sl()
    {
        return s_list;
    }
    public list_dialog(Frame parent)
    {
        super(parent, "List of Clients Connected to IS", true);

        setLayout(new BorderLayout());
        s_list = new show_list();
        add("Center",s_list);

        Panel north = new Panel();


        GridBagLayout gridbag = new GridBagLayout();
        GridBagConstraints c = new GridBagConstraints();
        Insets insets = new Insets(2,2,2,2);
        c.insets = insets;

        revoketxt = new TextField(20);
        revoketxt.setEditable(false);
        gridbag.setConstraints(revoketxt, c);
        north.add(revoketxt);


        Label tmlbl = new Label("Revoke Time(Minutes):");
        gridbag.setConstraints(tmlbl, c);
        north.add(tmlbl);

        c.gridwidth = GridBagConstraints.REMAINDER;
        tmtxt = new TextField(4);
        gridbag.setConstraints(tmtxt, c);
        north.add(tmtxt);
        add("North", north);

        Panel south = new Panel();
        c.gridwidth = 1;
        Button suspendbtn = new Button("SUSPEND");
        gridbag.setConstraints(suspendbtn, c);
        south.add(suspendbtn);
        Button revokebtn = new Button("REVOKE");
        gridbag.setConstraints(revokebtn, c);
        south.add(revokebtn);
        Button cancelbtn = new Button("CANCEL");
        gridbag.setConstraints(cancelbtn, c);
        south.add(cancelbtn);

        add("South", south);

        resize(500,200);
        setBackground(Color.lightGray);
        setResizable(true);

        s_list.update_revoketxt(revoketxt);
    }
    public boolean handleEvent(Event e)
    {
        if(e.id == Event.WINDOW_DESTROY)
        {
            hide();
            return true;
        }
        else
        {
            return super.handleEvent(e);
        }
    }
    public boolean action(Event e, Object arg)
    {
        String label = (String)arg;
        if(label.equals("SUSPEND"))
        {
            String tmp_name = revoketxt.getText();
            String revoke_time = tmtxt.getText();
            if(tmp_name.length() != 0 && revoke_time.length() != 0)
            {
                StringTokenizer inputbufferST =
                    new StringTokenizer(tmp_name, " ");
                String revoke_name = inputbufferST.nextToken();
                javaDraw.revoke_client("Suspend", revoke_name, revoke_time);
            }
            hide();
        }
        else if(label.equals("REVOKE"))
        {
            //System.out.println("REVOKE "+revoketxt.getText()+" "+tmtxt.getText());
            String tmp_name = revoketxt.getText();
            String revoke_time = tmtxt.getText();
            if(tmp_name.length() != 0 && revoke_time.length() != 0)
            {
                StringTokenizer inputbufferST = new StringTokenizer(tmp_name, " ");
                String revoke_name = inputbufferST.nextToken();
                //System.out.println("REVOKE "+revoke_name+" "+revoke_time);
                javaDraw.revoke_client("Revoke", revoke_name, revoke_time);
            }
            hide();
        }
        else if(label.equals("CANCEL"))
        {
            hide();
        }
        return true;
    }
}
