// StillConnected.java
import java.awt.*;
//import java.lang.*;
//import java.io.*;
//import java.net.*;
//import java.util.*;


class StillConnected extends Dialog {

    public StillConnected(Frame parent) {
        super(parent, "Connection Information Box", true);
        Panel pl = new Panel();
	pl.setLayout(new GridLayout(2,1));
	pl.add(new Label("Client Connected to Server",Label.CENTER));
	pl.add(new Label("Please DISCONNECT Client",Label.CENTER));
        add("Center", pl);
        Panel p = new Panel();
        add("South", p);
        p.add(new Button("OK"));
        resize(250, 100);
        setResizable(true);
    }

    /**
     *  Method show():
     *  This method puts the dialog box centered on top of parent.
     */
    public synchronized void show() {
    	Rectangle bounds = getParent().bounds();
    	Rectangle abounds = bounds();

    	move(bounds.x + (bounds.width - abounds.width)/ 2,
    	     bounds.y + (bounds.height - abounds.height)/2);

    	super.show();
    }

    public boolean action(Event e, Object arg) {
        hide();
        return true;
    }
}
