package easy;
// EasyChoice.java

import java.awt.*;

public class EasyChoice extends Choice{
  public EasyChoice(String labels[]){
    super();
    int length = labels.length;
    for(int i=0;i<length;++i){
      try{
        addItem(labels[i]);
      }catch(NullPointerException ex){
        addItem("");
      }
    }
  }

  public EasyChoice(String labels[],String info){
    super();
    int length = labels.length;
    information=info;
    for(int i=0;i<length;++i){
      try{
        addItem(labels[i]);
      }catch(NullPointerException ex){
        addItem("");
      }
    }
  }

  public String getMessage(){
    return information;
  }

  private String information;
}

